package com.swago.baseswago.model.im;

import androidx.annotation.NonNull;

import com.swago.baseswago.im.IRoomChat;
import com.swago.baseswago.im.RoomMsgType;

/**
 * @date 2021/10/23 18:52
 * description:
 */
public class RoomChatMsgBean implements IRoomChat {

    public String senderId;
    public String sendName;
    public String content;
    public int senderLevel;
    public int isBenefit;


    @NonNull
    @Override
    public String getSenderName() {
        return sendName;
    }

    @NonNull
    @Override
    public String getMsgContent() {
        return content;
    }

    @Override
    public int getMsgType() {
        return RoomMsgType.INSTANCE.ROOM_CHAT_TEXT;
    }

    @Override
    public int getUserLevel() {
        return senderLevel;
    }

    @Override
    public int getIsBenefit() {
        return isBenefit;
    }

    @NonNull
    @Override
    public String getSenderId() {
        return senderId;
    }
}
